1. Command line
Prev | A. Command line options | Next

### 1. Command line

    xxe [advanced_option]*
        ( [-new config template save_file_or_URL | file_or_URL_to_be_opened]* | -last )

Options:

-new `config` `template` `save_file`

  Command-line equivalent to using File → New.

  config

    Specifies the (case-insensitive) name of a configuration. Examples: `DocBook`, `docbook`, "`DocBook v5+`", "`XHTML Strict`", "`xhtml transitional`".

  template

    Specifies the (possibly localized) name of a document template. Example: "`Seite`" ("`Page`" in German).

    Alternatively, you can specify the basename (without any extension) of the file containing the document template. Doing this should work whatever your locale. Example: "`page_strict`".

    Use "`-`" to specify the first available document template. This option is mainly useful with configurations having a single document template such as "`Slides`".

  save_file_or_URL

    Specifies the filename or URL of the newly created document. Note that specifying such filename does not create the corresponding save file. You'll have to use File → Save or File → Save As to actually save the newly created document.

    Use "`-`" to let XMLmind XML Editor choose this filename for you (as it does it when you use File → New).

  Examples:

  - Create a new `Slides`[20] presentation. The filename of the new presentation is `MyPresentation.xml`. This file will be found in the current working directory.

        -new slides - MyPresentation.xml

  - Create a new "XHTML Strict" page and let XXE choose the filename for you:

        -new "XHTML Strict" Seite -

    or:

        -new "xhtml strict" page_strict -

  - Create a new DocBook section in file `sections/s4.xml` (relative to the current working directory):

        -new docbook section sections/s4.xml

-last

  Forces XXE to reopen the last document opened during the preceding editing session. Note that this option cannot be used when one or more `file_or_URL_to_be_opened`s have been specified.

  See also the "Automatically reopen last opened document" option for a handy alternative.

Advanced options:

-putpref `key` `value`

  Adds or replace preference specified by `key`/`value` to the set of the user's preferences.

  The set of the user's preferences is stored in ``XXE_user_preferences_dir`/preferences.properties` and is normally modified using the Preferences dialog box.

  The description of each option includes a short description of the corresponding preference key. For example, in the case of the Encoding option, the preference key is `encoding`. Example:

      xxe -putpref encoding Windows-1252

  ### Note

  XXE user preferences directory is:

  - ``$HOME`/.xxe4/` on Linux.

  - ``$HOME`/Library/Application Support/XMLmind/XMLEditor4/` on the Mac.

  - ``%APPDATA%`\XMLmind\XMLEditor4\` on Windows 2000, XP, Vista.

    Example: `C:\Documents and Settings\john\Application Data\XMLmind\XMLEditor4\` on Windows 2000 and XP. `C:\Users\john\AppData\Roaming\XMLmind\XMLEditor4\` on Windows Vista.

-putprefs `property_file_or_URL`

  Similar to `-putpref` except that several key/value pairs may be read from specified property file. Example:

      xxe -putprefs /etc/xxe/preferences.properties

-delpref `key`

  Removes preference specified by `key` from the set of the user's preferences.

-auth credentials

  This option can be used to specify authentication credentials for a given server. This allows to connect to the specified server without interactively asking the user to enter a username and a password.

  String `credentials` consists in 6 fields: `host`, `port`, `prompt`, `scheme`, `username`, `password`, in that order, separated by a newline character (`'\n'`). Fields `host`, `port`, `prompt`, `scheme` can be left empty, which means: match any. The UTF-8 bytes of the string are then encoded in base-64.

  Command-line utility "`java -cp xxe.jar com.xmlmind.netutil.SimpleAuthenticatorModule`" allows to generate such encoded string. Example: encode string "`\n\nDocument Store\n\nvictoria\nsecret`":

      /opt/xxe/bin$ java -cp xxe.jar com.xmlmind.netutil.SimpleAuthenticatorModule \
      victoria secret - "Document Store"
      CgpEb2N1bWVudCBTdG9yZQoKanZpY3RvcmlhCnNlY3JldA==

      /opt/xxe/bin$ xxe -auth CgpEb2N1bWVudCBTdG9yZQoKanZpY3RvcmlhCnNlY3JldA== \
      http://www.acme.com/docstore/push_up.xml &

-open `file_or_URL_to_be_opened`, -print `file_or_URL_to_be_opened`

  First `file_or_URL_to_be_opened` may be preceded by `-open` or `-print`, which are ignored. This may be useful when XXE is started by Java™ Web Start. Example: "`javaws http://www.acme.com/xxe/xxe.jnlp -open /docs/doc.xml`".

[20] Requires installing the corresponding add-on.

Prev | Up | Next
A. Command line options | Home | 2. Environment variables